Apache < 2.0.44 File Access on Win32

Medium Nessus Network Monitor Plugin ID 1499

Synopsis

The remote host is running a version of Apache for Win32 which is older than 2.0.44.

Description

The remote host is running a version of Apache for Win32 which is older than 2.0.44. There is a flaw in this version which may allow an attacker to access files they should not have access to, by appending special chars to their name.

Solution

Upgrade to Apache 2.0.44 or higher for Win32.

See Also

http://marc.info/?l=apache-httpd-announce&amp;m=104313442901017&amp;w=2

Plugin Details

Severity: Medium

ID: 1499

Family: Web Servers

Published: 2004/08/20

Modified: 2016/11/23

Dependencies: 3057

Nessus ID: 11210

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 5

Temporal Score: 4.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

CVSSv3

Base Score: 5.3

Temporal Score: 5.1

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

Temporal Vector: CVSS3#E:H/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:apache:http_server:2.0

Reference Information

CVE: CVE-2003-0017

BID: 6660